# https://github.com/dmacvicar/terraform-provider-libvirt/blob/master/website/docs/r/network.markdown

resource "libvirt_network" "private_network" {
  name      = "private"
  mode      = "nat"
  domain    = "network.local"
  addresses = ["10.17.3.0/24"]
  autostart = true
  dhcp {
    enabled = true
  }
  dns {
    enabled    = true
    local_only = true
    forwarders {
      address = var.dns_address
    }
  }
}
